<?php
// 设置错误显示
ini_set('display_errors', 1);
error_reporting(E_ALL);

// 包含必要文件
require_once __DIR__ . '/config/database.php';
require_once __DIR__ . '/product/code/product_data.php';

echo "<h1>产品数据测试</h1>";
echo "<p>时间: " . date('Y-m-d H:i:s') . "</p>";

// 默认条件 - 不进行筛选
$filters = ['status' => 1]; // 只查询激活的产品
$sort = 'recommended';
$order = 'asc';
$page = 1;
$limit = 10;

echo "<h2>测试1: 调用getProducts函数</h2>";
try {
    $productsData = getProducts($filters, $sort, $order, $page, $limit);
    
    echo "<p>查询结果: ";
    echo "总数: " . $productsData['total'] . ", ";
    echo "当前页结果数: " . count($productsData['products']);
    echo "</p>";
    
    if (!empty($productsData['products'])) {
        echo "<table border='1'>";
        echo "<tr><th>ID</th><th>标题</th><th>CPU</th><th>内存</th><th>价格</th><th>地区ID</th><th>标签</th></tr>";
        
        foreach ($productsData['products'] as $product) {
            echo "<tr>";
            echo "<td>" . $product['id'] . "</td>";
            echo "<td>" . ($product['title'] ?? '无标题') . "</td>";
            echo "<td>" . ($product['cpu'] ?? 'N/A') . "</td>";
            echo "<td>" . ($product['memory'] ?? 'N/A') . "</td>";
            echo "<td>" . ($product['price'] ?? 'N/A') . "</td>";
            echo "<td>" . ($product['region_id'] ?? 'N/A') . "</td>";
            echo "<td>" . ($product['tags'] ?? 'N/A') . "</td>";
            echo "</tr>";
        }
        
        echo "</table>";
    } else {
        echo "<p>没有找到产品</p>";
    }
} catch (Exception $e) {
    echo "<p>错误: " . $e->getMessage() . "</p>";
}

// 测试标签筛选
echo "<h2>测试2: 标签筛选</h2>";
try {
    $tagFilters = ['tag' => 15]; // 标签ID=15
    $productsData = getProducts($tagFilters, $sort, $order, $page, $limit);
    
    echo "<p>查询结果: ";
    echo "总数: " . $productsData['total'] . ", ";
    echo "当前页结果数: " . count($productsData['products']);
    echo "</p>";
    
    if (!empty($productsData['products'])) {
        echo "<h3>标签过滤后的产品:</h3>";
        echo "<ul>";
        foreach ($productsData['products'] as $product) {
            echo "<li>ID: " . $product['id'] . ", 标题: " . ($product['title'] ?? '无标题') . 
                 ", 标签: " . ($product['tags'] ?? 'N/A') . "</li>";
        }
        echo "</ul>";
    } else {
        echo "<p>没有找到符合标签条件的产品</p>";
    }
} catch (Exception $e) {
    echo "<p>错误: " . $e->getMessage() . "</p>";
} 