<?php
// 设置错误显示
ini_set('display_errors', 1);
error_reporting(E_ALL);

echo "<h1>日志功能测试</h1>";
echo "<p>时间: " . date('Y-m-d H:i:s') . "</p>";

// 测试1: 直接包含product_data.php检查是否有错误
echo "<h2>测试1: 包含product_data.php</h2>";
try {
    require_once __DIR__ . '/product/code/product_data.php';
    echo "<p style='color:green'>成功: 包含product_data.php没有产生错误</p>";
} catch (Exception $e) {
    echo "<p style='color:red'>错误: " . $e->getMessage() . "</p>";
}

// 测试2: 获取产品数据
echo "<h2>测试2: 调用getProducts函数</h2>";
try {
    $result = getProducts(['status' => 1], 'price', 'asc', 1, 1);
    echo "<p style='color:green'>成功: getProducts函数返回了 " . count($result['products']) . " 个产品</p>";
} catch (Exception $e) {
    echo "<p style='color:red'>错误: " . $e->getMessage() . "</p>";
}

// 测试3: 尝试手动调用logDebug函数
echo "<h2>测试3: 手动调用logDebug函数</h2>";
try {
    // 记录一条测试日志
    logDebug("这是一条测试日志消息 - " . date('Y-m-d H:i:s'));
    echo "<p style='color:green'>成功: logDebug函数执行没有产生错误</p>";
} catch (Exception $e) {
    echo "<p style='color:red'>错误: " . $e->getMessage() . "</p>";
}

// 测试4: 临时启用调试模式
echo "<h2>测试4: 临时启用调试模式</h2>";
try {
    // 尝试临时重定义常量启用调试
    if (!defined('PRODUCT_DEBUG_ENABLED')) {
        define('PRODUCT_DEBUG_ENABLED', true);
        echo "<p>已临时启用调试模式</p>";
    } else {
        echo "<p>无法重定义PRODUCT_DEBUG_ENABLED常量</p>";
    }
    
    // 记录另一条测试日志
    logDebug("这是一条启用调试模式后的测试日志 - " . date('Y-m-d H:i:s'));
    echo "<p style='color:green'>成功: 启用调试模式后logDebug函数执行没有产生错误</p>";
} catch (Exception $e) {
    echo "<p style='color:red'>错误: " . $e->getMessage() . "</p>";
}

echo "<p>测试完成。如果没有显示错误消息，说明日志功能已成功修复</p>"; 